<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('rapport_retrogrades', function (Blueprint $table) {
            $table->id();
            $table->integer('nbre_adulte_Marie_h');
            $table->integer('nbre_adulte_Marie_f');
            $table->integer('nbre_adulte_Veuf_h');
            $table->integer('nbre_adulte_Veuf_f');
            $table->integer('nbre_jeune_h');
            $table->integer('nbre_jeune_f');
            $table->integer('nbre_enfant_h');
            $table->integer('nbre_enfant_f');
            $table->integer('nbre_all_total_h');
            $table->integer('nbre_all_total_f');
            $table->integer('nbre_all_total');
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('rapport_retrogrades');
    }
};